/**
 * @file
 * Integrates Views data with FullCalendar.
 */

if (document.addEventListener) {
  document.addEventListener('DOMContentLoaded', function () {
    Object.keys(drupalSettings.fullcalendar).forEach((domId) => {
      if (drupalSettings.fullcalendar.hasOwnProperty(domId)) {
        const calendarEl = document.getElementById(domId);
        // eslint-disable-next-line no-undef
        const calendar = new FullCalendar.Calendar(
          calendarEl,
          drupalSettings.fullcalendar[domId].options,
        );
        calendar.render();
      }
    });
  });
}
